List marketplace agent templates
curl --request GET \
--url https://api.kataven.ai/v1/api/v1/marketplace/agents \
--header 'Authorization: <api-key>'import requests
url = "https://api.kataven.ai/v1/api/v1/marketplace/agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.kataven.ai/v1/api/v1/marketplace/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_templates": [
{
"agent_id": "<string>",
"author": "<string>",
"category": "<string>",
"created_at": "<string>",
"description": "<string>",
"greeting_message": "<string>",
"icon": "<string>",
"id": "<string>",
"kb_count": 123,
"knowledge_items": [
{
"id": "<string>",
"item_type": "<string>",
"summary": "<string>",
"tags": [
"<string>"
],
"title": "<string>"
}
],
"llm_model": "<string>",
"name": "<string>",
"playbooks": [
{
"description": "<string>",
"display_name": "<string>",
"name": "<string>",
"playbook_id": "<string>",
"tool_names": [
"<string>"
],
"triggers": [
"<string>"
]
}
],
"system_prompt": "<string>",
"tags": [
"<string>"
],
"tool_count": 123,
"tools": [
{
"category": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"version": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>"
}
],
"count": 123,
"has_next": true,
"has_prev": true,
"limit": 123,
"next_offset": 123,
"offset": 123,
"prev_offset": 123,
"total": 123
}"<string>""<string>"Marketplace
List marketplace agent templates
GET
/
api
/
v1
/
marketplace
/
agents
List marketplace agent templates
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Query Parameters
Filter by category
Substring search on name/description
Page size (1-100, default 10)
Pagination offset (default 0)

